using SqlSugar;
using System;

namespace DeviceRepair.Models
{
    [SugarTable("DeviceWarrantyRequestAccessories")]
    public class DeviceWarrantyRequestAccessoriesInfo
    {
        /// <summary>
        /// 主键字段 
        ///</summary>
        [SugarColumn(ColumnName = "AutoID", IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        /// <summary>
        /// 唯一编码 
        ///</summary>
        [SugarColumn(ColumnName = "GUID")]
        public Guid Guid { get; set; }

        /// <summary>
        /// 维修单主键编号
        /// </summary>
        public int MaintaionID { get; set; }

        /// <summary>
        /// 配件ID 
        ///</summary>
        [SugarColumn(ColumnName = "FieldID")]
        public int FieldID { get; set; }

        /// <summary>
        /// 配件名称 
        ///</summary>
        [SugarColumn(ColumnName = "FieldName")]
        public string FieldName { get; set; }

        /// <summary>
        /// 配件值 
        ///</summary>
        [SugarColumn(ColumnName = "FieldValue")]
        public string FieldValue { get; set; }

        /// <summary>
        /// 配件数量 
        ///</summary>
        [SugarColumn(ColumnName = "AccessoriesCount")]
        public int AccessoriesCount { get; set; }

        /// <summary>
        /// 说明 
        ///</summary>
        [SugarColumn(ColumnName = "Description")]
        public string Description { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreatOn")]
        public DateTime CreatOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreatBy")]
        public int CreatBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyOn")]
        public DateTime? ModifyOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "ModifyBy")]
        public int? ModifyBy { get; set; }

    }
}
